j_calls.d(1m)

NAME
j_calls.d - count Java calls (method/...) using DTrace.

SYNOPSIS
j_calls.d

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0). Method calls and object allocation are only visible when using the flag "+ExtendedDTraceProbes". eg, java -XX:+ExtendedDTraceProbes classfile TYPEs:
cload    class load
method    method call
mcompile    method compile
mload    compiled method load
oalloc    object alloc
thread    thread start

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_calls.d

FIELDS

PID Process ID

TYPE
    Type of call (see below)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_calls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)